/Users/bernard/b20/bsoft/src/brecmod.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/brecmod.cpp - A tool to merge data from micrograph reconstruction and model files.

SYNOPSIS

#include 'mg_processing.h'
#include 'rwmg.h'
#include 'rwimg.h'
#include 'rwmodel.h'
#include 'model_transform.h'
#include 'marker.h'
#include 'linked_list.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
Bmodel * project_model_generate (Bproject *project, Bmodel *temp, int flags)
Generates a model from each particle defined in a reconstruction.
int project_model_consolidate (Bproject *project, Bmodel *model)
Exchanges information between reconstruction and model structures.
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

A tool to merge data from micrograph reconstruction and model files.

Author:
    Bernard Heymann

Date:
    Created: 20090828

    Modified: 20110725

Definition in file brecmod.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 53 of file brecmod.cpp.

  int project_model_consolidate (Bproject * project, Bmodel * model)

Exchanges information between reconstruction and model structures.

Parameters:
    *project project parameter structure.
    *model model parameter structures.

Returns:
    int 0.

    This function assumes there is a 1-1 relationship between models and
    particles derived from reconstructions and that they are in corresponding
    sequence.
    The type id and hand from each model is converted into an integer and
    the particle group set to it.
    Each model id is reset to a combined reconstruction and particle id.

Definition at line 292 of file brecmod.cpp.

  Bmodel * project_model_generate (Bproject * project, Bmodel * temp, int flags)

Generates a model from each particle defined in a reconstruction.

Parameters:
    *project project parameter structure.
    *temp template model.
    flags conversion options: 1=images.

Returns:
    Bmodel* new model referencing the particle map files.

    The model id is a combined reconstruction and particle id.
    The model type id is taken from the particle group id.
    The selection and FOM is taken from the particle properties.
    The model map file name is taken from the particle file name if it
    is defined, otherwise it is taken from the reconstruction structure
    and the image number is taken from the particle id.
    Flags:
        1   transform each particle images to standard orientation.
        2   write a model file for each particle.

Definition at line 184 of file brecmod.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: brecmod [options] in.star",
"--------------------------------",
"Merges data from micrograph and model files.",
" ",
"Actions:",
"-consolidate mod.star    Consolidate project and model parameters.",
"-images                  Convert particle images (use with -outmodel).",
"-submodels               Generate particle models (use with -outmodel).",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-sampling 1.5,1.5,1.5    Sampling of images (A/pixel; a single value can be given).",
" ",
"Input:",
"-template model.star     Template to associate with each particle.",
" ",
"Output:",
"-output newmg.star       New micrograph parameter file.",
"-outmodel partmod.star   New model file from particles.",
"-outmark markmod.star    New model file from markers.",
" ",
NULL
}

Definition at line 27 of file brecmod.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.